Bug 188021 - yelp crashes inside beagle
yelp crashes inside beagle
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 09:09 EDT by Gen Zhang
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.14.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 07:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gen Zhang 2006-04-05 09:09:34 EDT
Description of problem:
Yelp crashes on searching, when beagle is active.

Version-Release number of selected component (if applicable):
yelp.x86_64                              2.14.0-1
beagle.x86_64                            0.2.3-4

How reproducible:
Everytime

Steps to Reproduce:
1. Making sure beagled is running
2. Start yelp
3. Search for something
  
Actual results:
On the command line:
% yelp

(yelp:24789): GLib-GObject-WARNING **: invalid unclassed pointer in cast to
`BeagleRequest'

(yelp:24789): GLib-GObject-CRITICAL **: g_type_instance_get_private: assertion
`instance != NULL && instance->g_class != NULL' failed

Inside GDB:
#0  request_io_cb (channel=Variable "channel" is not available.
) at beagle-request.c:211
#1  0x0000003154526f7a in IA__g_main_context_dispatch (context=0x56f880) at
gmain.c:1916
#2  0x000000315452a105 in g_main_context_iterate (context=0x56f880, block=1,
dispatch=1, self=Variable "self" is not available.
) at gmain.c:2547
#3  0x000000315452a42d in IA__g_main_loop_run (loop=0x581f60) at gmain.c:2751
#4  0x000000315a82d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#5  0x0000000000420f52 in main (argc=Variable "argc" is not available.
) at yelp-main.c:472
#6  0x0000003153c1d084 in __libc_start_main (main=0x420b20 <main>, argc=1,
ubp_av=0x7fffffd3c0a8, init=Variable "init" is not available.
) at libc-start.c:231
#7  0x000000000040e3a9 in _start ()
#8  0x00007fffffd3c098 in ?? ()
#9  0x0000000000000000 in ?? ()

Additional info:
This does not happen if beagled isn't running
Comment 1 Marcin Grabda 2006-04-12 05:01:01 EDT
The same happen for me.

When I try to search in yelp when beagle is active it crashes.

Version-Release number of selected component (for me):
yelp.x86                              2.14.0-1
beagle.x86                            0.2.3-4
Comment 2 Alexander Larsson 2006-08-14 07:29:00 EDT
Seems like a yelp bug.
Comment 3 Matthew Barnes 2006-08-14 13:29:11 EDT
I can't seem to reproduce this one with the latest Fedora Core 5 updates.

Gen and/or Marcin, are either of you still seeing this bug?

yelp-2.14.3-1.fc5
beagle-0.2.6-1.fc5.5

Note You need to log in before you can comment on or make changes to this bug.